Wireshark-dev: Re: [Wireshark-dev] Wireshark 1.6: End support of older WindowsCompilers/SDKs ?
From: "Steve Huston" <[email protected]>
Date: Wed, 2 Feb 2011 15:48:50 -0500
> Speaking of support [1], for the eventual Wireshark 1.6 release I 
> suggest consideration of ending support for older Windows 
> compilers/SDK's. (Wireshark 1.4 would continue to support 
> compilers as now).
> 
> For Wireshark 1.6:
> 
> Support the following ?
> 
> !ELSEIF "$(MSVC_VARIANT)" == "MSVC2005"   || \
>          "$(MSVC_VARIANT)" == "MSVC2005EE" || \
>          "$(MSVC_VARIANT)" == "DOTNET20"   || \
>          "$(MSVC_VARIANT)" == "MSVC2008"   || \
>          "$(MSVC_VARIANT)" == "MSVC2008EE" || \
>          "$(MSVC_VARIANT)" == "MSVC2010"   || \
>          "$(MSVC_VARIANT)" == "MSVC2010EE"
> 
> and not these ?
> 
> !IF     "$(MSVC_VARIANT)" == "MSVC6"      || \
>          "$(MSVC_VARIANT)" == "MSVC2002"   || \
>          "$(MSVC_VARIANT)" == "DOTNET10"   || \
>          "$(MSVC_VARIANT)" == "MSVC2003"   || \
>          "$(MSVC_VARIANT)" == "DOTNET11"
> 
> 
> Comments ?

Looks fine; very conservative.

--
Steve Huston, Riverace Corporation
Total Lifecycle Support for Your Networked Applications
http://www.riverace.com